<?xml version="1.0" encoding="UTF-8"?>
<datasources>
  <{{ ift ( value .XBRLGEN_DS_XA true ) "xa-datasource" "datasource" }} jta="{{ value .XBRLGEN_DS_JTA .XBRLGEN_DS_XA true }}" jndi-name="{{ value .XBRLGEN_DS_JNDI "java:/xbrl-gen" }}" pool-name="{{ value .XBRLGEN_DS_POOLNAME "xbrl-gen" }}" use-java-context="{{ value .XBRLGEN_DS_USE_JAVA_CTX true }}" use-ccm="{{ value .XBRLGEN_DS_USE_CCM true }}">
  {{- if ( value .XBRLGEN_DS_XA true ) }}
    <xa-datasource-property name="URL">{{ value .XBRLGEN_DS_URL "java:mysql://mysql:3306/xbrlgen" }}</xa-datasource-property>
  {{- else }}
    <connection-url>{{ value .XBRLGEN_DS_URL "java:mysql://mysql:3306/xbrlgen" }}</connection-url>
  {{- end }}
  {{ if .XBRLGEN_DS_DRIVER -}}
    <driver>{{ .XBRLGEN_DS_DRIVER }}</driver>
  {{ else -}}
    <driver>{{ index ( split ( value .XBRLGEN_DS_URL "java:mysql://mysql:3306/xbrlgen" ) ":" ) 1 }}</driver>
  {{ end -}}
    <security>
      <user-name>{{ value .XBRLGEN_DS_USER "root" }}</user-name>
      <password>{{ value .XBRLGEN_DS_PASSWORD "p4ssw0rd" }}</password>
    </security>
    <timeout>
      <blocking-timeout-millis>30000</blocking-timeout-millis>
      <idle-timeout-minutes>5</idle-timeout-minutes>
    </timeout>
    <statement>
      <prepared-statement-cache-size>100</prepared-statement-cache-size>
      <share-prepared-statements>true</share-prepared-statements>
    </statement>
  </{{ ift ( value .XBRLGEN_DS_XA true ) "xa-datasource" "datasource" }}>
</datasources>
